/*
******************************************************************************

   LibOVL: extension stubs

   Copyright (C) 2000 Christoph Egger   [Christoph_Egger@t-online.de]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <ggi/internal/ovl.h>

ggiOvl_t ggiOvlAllocate(ggi_visual_t vis, enum OverlayFeaturetype type,
		void *properties, int width, int height)
{
	return LIBGGI_OVLEXT(vis)->alloc(vis,
				type, properties, width, height);
}


int ggiOvlCheck(ggi_visual_t vis, enum OverlayFeaturetype type,
		void *properties, int width, int height)
{
	return LIBGGI_OVLEXT(vis)->check(vis, type,
			properties, width, height);
}


int ggiOvlFree(ggiOvl_t ovl)
{
	return LIBGGI_OVLEXT(ovl->vis)->free(ovl);
}


int ggiOvlSetImage(ggiOvl_t ovl, ggi_visual_t vis,
                        int x, int y, unsigned char *alpha)

{
	return LIBGGI_OVLEXT(ovl->vis)->setimage(ovl, vis, x, y, alpha);
}


int ggiOvlSetOption(ggiOvl_t ovl,enum OverlayOptiontype op,void *arg)
{
	return LIBGGI_OVLEXT(ovl->vis)->setoption(ovl, op, arg);
}


int ggiOvlMove(ggiOvl_t ovl, int x, int y)
{
	return LIBGGI_OVLEXT(ovl->vis)->move(ovl, x, y);
}


int ggiOvlShow(ggiOvl_t ovl)
{
	return LIBGGI_OVLEXT(ovl->vis)->show(ovl);
}


int ggiOvlHide(ggiOvl_t ovl)
{
	return LIBGGI_OVLEXT(ovl->vis)->hide(ovl);
}

int ggiOvlIsHidden(ggiOvl_t ovl)
{
	return LIBGGI_OVLEXT(ovl->vis)->ishidden(ovl);
}

